sssd (2.12.0-1ubuntu5.2) resolute; urgency=medium

  [ Guilherme Puida Moreira ]
  * d/control: reintroduce libnss-sudo dependency in libsss-sudo
    (LP: #2151950)

  [ Andreas Hasenack ]
  * d/sssd-common.postinst: also set capabilities for helper binaries
    from other packages, if they are present (LP: #2155002)

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Mon, 13 Jul 2026 11:06:38 -0300

sssd (2.12.0-1ubuntu5.1) resolute-security; urgency=medium

  * SECURITY UPDATE: PAM passkey responder denial of service
    - debian/patches/CVE-2026-6245.patch: pam: fix out-of-bounds read in
      pam_passkey_child_read_data in src/responder/pam/pamsrv_passkey.c.
    - CVE-2026-6245

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 23 May 2026 14:23:52 -0400

sssd (2.12.0-1ubuntu5) resolute; urgency=medium

  * d/p/krb5_kpasswd_loglevel: fix missing krb5_kpasswd logging as crash
    (LP: #2146334)

 -- Jonas Jelten <jj@ubuntu.com>  Wed, 25 Mar 2026 17:08:42 +0100

sssd (2.12.0-1ubuntu4) resolute; urgency=medium

  * d/sssd-common.{pre,post}inst: stop services while changing
    root-less permissions (LP: #2142140)
  * d/t/util: remove obsolete sssd.conf config_file_version

 -- Jonas Jelten <jj@ubuntu.com>  Tue, 17 Mar 2026 16:27:51 +0100

sssd (2.12.0-1ubuntu3) resolute; urgency=medium

  [ Jonas Jelten ]
  * don't run as root (LP: #2139337)
    - d/rules: use --with-sssd-user=sssd
    - d/rules: install tmpfiles.d/sssd.conf for pid file
    - d/rules: install udev rules
    - d/sssd-postinst-permission-extract: new spec -> postinst convert tool
    - d/sssd-{common,ipa,krb5-common,proxy}.postinst:
      set correct state directory permissions for sssd user
    - d/t/sssd-smart-card-pam-auth-configs-tester: fix enabling incompatible
      pam configs at once
    - d/t/sssd-smart-card-pam-auth-configs-tester: adjust permissions for
      running sssd without root
    - d/t/sssd-softhism2-certificates-tests: don't recreate existing user

  [ Timo Aaltonen ]
  * libsss-sudo: Drop dependency on libnss-sudo, modify libsss-sudo.nss to create
    the nsswitch.conf entry for sudo. (Closes: #770825)

 -- Jonas Jelten <jj@ubuntu.com>  Wed, 17 Feb 2026 19:37:41 +0100

sssd (2.12.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130705). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
  * Dropped changes:
    - d/apparmor-profile: update apparmor profile for smartcard authentication
      (LP #2109673)
      [in 2.12.0-1]
    - d/p/CVE-2025-11561: incorrect fallback to the an2ln plugin: disable Kerberos
      localauth an2ln plugin for AD/IPA in src/util/domain_info_utils.c.
      [in 2.12.0-1]
    - debian/patches/fix_krb5_dep.patch: fix build with krb5 1.22.
      [in 2.11.1-2]
    - Continue searching other PKCS#11 tokens if certificates are not found
      (LP #2110521)
      + d/p/lp2110521-1-P11_CHILD-Extract-slot-processing-into-separate-func.patch
      + d/p/lp2110521-2-P11_CHILD-Make-p11_child-iterate-over-all-slots.patch
      [in 2.11.1-1]
    - faketime on armhf (LP #2059078)
      + Reintroduce faketime on armhf, it might be fixed now
      + d/control: faketime is used for tests, and is currently not
        working on armhf with a 64bit time_t
      [cancel each other out]
  * New changes:
    - d/t/sssd-{softhism2-certificates-test,smart-card-pam-auth-configs-tester}:
      fix test user creation
    - d/t/sssd-smart-card-pam-auth-configs-tester: remove files provider
      [changed in 2.11.0 upstream]

 -- Jonas Jelten <jj@ubuntu.com>  Mon, 09 Feb 2026 15:48:59 +0100

sssd (2.12.0-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/control: remove kfreebsd reference (remove lintian error)
  * d/tests/sssd-smart-card-pam-auth-configs-tester.sh: show status/journal
    after (re)start of sssd fails

  [ Seyeong Kim ]
  * Updating apparmor profile for smartcard authentication (LP: #2109673)
   - d/apparmor-profile: allow access to sssd configuration directory,
     pcscd socket and libraries required for PKCS#11 module initialization.

  [ John Veitch ]
  * Update file sssd-common.sssd.default
  * Edit sssd-common.sssd.default  - add the --logger=files daemon option

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Drop upstreamed patch.
  * source: Update diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 08 Feb 2026 18:16:39 +0200

sssd (2.11.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disabling sssd-smart-card-pam-auth-configs for now to allow sssd to
    migrate - until a proper fix, it's better to have sssd in testing
    without this test run than not have sssd at all (Closes: #1123815).

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Feb 2026 04:01:15 +0000

sssd (2.11.1-2) unstable; urgency=medium

  * BUILD-Accept-krb5-1.22-for-building-the-PAC-plugin.patch
    (Closes: #1122483 -- FTBFS, missing support for MIT Kerberos 1.22)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Jan 2026 11:47:07 +0300

sssd (2.11.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * d/p/drop-valgrind.diff: Dropped, obsolete.
  * source: Update local-options.
  * rules, install: Drop files-provider, removed upstream.
  * sssd-common: Add sssd-idp.
  * copyright: Update FSF address.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Nov 2025 16:34:59 +0200

sssd (2.10.1-2ubuntu9) resolute; urgency=medium

  * Continue searching other PKCS#11 tokens if certificates are not found
    (LP: #2110521)
    - d/p/lp2110521-1-P11_CHILD-Extract-slot-processing-into-separate-func.patch
    - d/p/lp2110521-2-P11_CHILD-Make-p11_child-iterate-over-all-slots.patch

 -- Jorge Merlino <jorge.merlino@canonical.com>  Sat, 06 Dec 2025 18:09:52 -0300

sssd (2.10.1-2ubuntu8) resolute; urgency=medium

  * No-change rebuild for Python 3.14 as the default.

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Mon, 26 Jan 2026 16:34:54 -0300

sssd (2.10.1-2ubuntu7) resolute; urgency=medium

  * debian/patches/fix_krb5_dep.patch: fix build with krb5 1.22.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Dec 2025 15:09:58 -0500

sssd (2.10.1-2ubuntu6) resolute; urgency=medium

  * SECURITY UPDATE: incorrect fallback to the an2ln plugin
    - debian/patches/CVE-2025-11561.patch: disable Kerberos localauth an2ln
      plugin for AD/IPA in src/util/domain_info_utils.c.
    - CVE-2025-11561

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Dec 2025 13:09:46 -0500

sssd (2.10.1-2ubuntu5) questing; urgency=medium

  * d/apparmor-profile: update apparmor profile for smartcard authentication
    (LP: #2109673)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 24 Jun 2025 00:06:47 +0000

sssd (2.10.1-2ubuntu4) plucky; urgency=medium

  * Another no-change rebuild with samba 4.21.4: the previous riscv64 build of
    sssd still picked up libndr4 instead of libndr5 from new samba
    (LP: #2104009)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 24 Mar 2025 09:38:10 -0300

sssd (2.10.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild with new samba 4.21.4

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Feb 2025 14:49:03 -0300

sssd (2.10.1-2ubuntu2) plucky; urgency=medium

  * Reintroduce faketime on armhf, it might be fixed now
    (LP: #2059078)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 14:16:44 +0100

sssd (2.10.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2094862). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)
  * Drop changes:
    - Don't build-depend on valgrind, not available on riscv64.
      [ Not needed anymore. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 14 Jan 2025 16:44:56 -0500

sssd (2.10.1-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Drop valgrind from build-depends again.
  * drop-valgrind.diff: Drop a check for if a test is running on
    valgrind, avoids the build-dep and ftbfs on where valgrind is not
    available.
  * control: Add systemd to build-depends since build-tests require
    systemctl.
  * tests: Use a 2048bit private key. (Closes: #1092722)

  [ Michal Maloszewski  ]
  * d/apparmor-profile: Update profile to silence extraneous ALLOWED
    messages.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Jan 2025 08:45:10 +0200

sssd (2.10.1-1ubuntu2) plucky; urgency=medium

  * Don't build-depend on valgrind, not available on riscv64.

 -- Matthias Klose <doko@p1>  Tue, 14 Jan 2025 06:22:11 +0100

sssd (2.10.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085296). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 09 Jan 2025 13:37:39 -0500

sssd (2.10.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * watch: Updated.
  * patches: Refreshed.
  * control: Add valgrind and libcap-dev to build-depends.
  * install: Updated.

  [ Andreas Hasenack ]
  * autopkgtests: also gather sssd logs in case of failure
  * postinst: add filesystem capabilities to several helpers
  * control: add libcap2-bin dependency
  * rules: don't change permissions of proxy_child and sssd_pam

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2025 12:34:49 +0200

sssd (2.9.5-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Hasenack ]
  * autopkgtests: switch to ssh for the login test (Closes: #1081027)
  * autopkgtests: display logs in the case of a failure

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Dec 2024 16:15:34 +0100

sssd (2.9.5-4) unstable; urgency=medium

  * Team upload.

  [ Michael Prokop ]
  * autopkgtests: increase expect timeout to address flaky ldap-user-group-ldap-auth under control
    (Closes: #1081027)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 26 Nov 2024 11:06:09 +0100

sssd (2.9.5-3ubuntu3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:28 +0100

sssd (2.9.5-3ubuntu2) oracular; urgency=medium

  * No-change rebuild with new samba-libs, to pick up libndr4

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 03 Jul 2024 20:53:11 -0300

sssd (2.9.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064469). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)
  * Drop changes:
    - Fix build-time tests (LP #2058576):
      + d/p/fix-format-string-time64.patch: fix format string used for a
        timestamp filter string. Thanks to Sergio Durigan Junior
        <sergio.durigan@canonical.com> for the troubleshooting session.
      [ Incorporated upstream. ]
    - SECURITY UPDATE: race when GPO policy is being applied
      + debian/patches/CVE-2023-3758.patch: use hash to store intermediate
        results in src/providers/ad/ad_gpo.c.
      + CVE-2023-3758
      [ Incorporated upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 24 Jun 2024 16:22:21 -0400

sssd (2.9.5-3) unstable; urgency=medium

  * rules: Flip the test logic to fix ftbfs on armel/armhf.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jun 2024 18:22:29 +0300

sssd (2.9.5-2) unstable; urgency=medium

  * rules: Don't fail tests on armel, armhf for now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jun 2024 15:00:53 +0300

sssd (2.9.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #1068063)
    - CVE-2023-3758 (Closes: #1070369)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 20 May 2024 16:36:50 +0300

sssd (2.9.4-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Install PAM and NSS modules into /usr. (Closes: #1061350)

  [ Timo Aaltonen ]
  * tests: Drop -extensions from openssl command if there is no -x509.
    Thanks, Sebastian Andrzej Siewior! (Closes: #1061869)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Apr 2024 15:56:46 +0300

sssd (2.9.4-1.1ubuntu7) oracular; urgency=medium

  * SECURITY UPDATE: race when GPO policy is being applied
    - debian/patches/CVE-2023-3758.patch: use hash to store intermediate
      results in src/providers/ad/ad_gpo.c.
    - CVE-2023-3758

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Jun 2024 10:50:41 -0400

sssd (2.9.4-1.1ubuntu6) noble; urgency=medium

  * No-change rebuild for c-ares t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 11:55:56 +0200

sssd (2.9.4-1.1ubuntu5) noble; urgency=medium

  * Fix build-time tests (LP: #2058576):
    - d/p/fix-format-string-time64.patch: fix format string used for a
      timestamp filter string. Thanks to Sergio Durigan Junior
      <sergio.durigan@canonical.com> for the troubleshooting session.
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 05 Apr 2024 10:23:52 -0300

sssd (2.9.4-1.1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:25:06 +0000

sssd (2.9.4-1.1ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:03:24 +0000

sssd (2.9.4-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:34:29 +0000

sssd (2.9.4-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 08 Mar 2024 11:22:58 -0500

sssd (2.9.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063074

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:27:43 +0000

sssd (2.9.4-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:27:15 +0000

sssd (2.9.4-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055074). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
  * Drop changes:
    - d/t/control: Remove "needs-sudo" restriction from smartcard tests,
      replace with "needs-root".  This is needed because Ubuntu's
      autopkgtest infrastructure doesn't support "needs-sudo".
    - d/t/sssd-smart-card-pam-auth-configs-tester.sh,
      d/t/sssd-softhism2-certificates-tests.sh: Add code to handle
      ${AUTOPKGTEST_NORMAL_USER}.
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 26 Feb 2024 14:08:42 -0500

sssd (2.9.4-1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Improve certificate/smartcard dep8 tests.
    - d/t/control: Don't depend on "needs-sudo" restriction, since the
      tests don't really use "sudo" selectively but rather rely on a normal
      user being setup as a side effect of "needs-sudo".  Instead, we can
      use "needs-root".
    - d/t/sssd-smart-card-pam-auth-configs-tester.sh,
      d/t/sssd-softhism2-certificates-tests.sh: Use
      "${AUTOPKGTEST_NORMAL_USER}" instead of "$SUDO_USER".

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Migrate to systemd-dev. (Closes: #1060512)
  * rules, install: Use systemdsystemunitdir.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 12:04:33 +0200

sssd (2.9.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:50:43 +0000

sssd (2.9.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040429). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
  * Add changes:
    - d/t/control: Remove "needs-sudo" restriction from smartcard tests,
      replace with "needs-root".  This is needed because Ubuntu's
      autopkgtest infrastructure doesn't support "needs-sudo".
    - d/t/sssd-smart-card-pam-auth-configs-tester.sh,
      d/t/sssd-softhism2-certificates-tests.sh: Add code to handle
      ${AUTOPKGTEST_NORMAL_USER}.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 03 Jan 2024 11:20:10 -0500

sssd (2.9.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control, rules: Add bc to build-depends, enable tests again.

  [ Marco Trevisan (Treviño) ]
  * debian: Add pam-auth-update SSSD Smart card configurations
  * debian/tests: Add tests for smart card verification

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Sep 2023 11:18:38 +0300

sssd (2.9.1-2ubuntu3) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 11:05:49 -0400

sssd (2.9.1-2ubuntu2) mantic; urgency=medium

  * d/apparmor-profile: Add some entries to apparmor-profile file
    to get rid of the extraneous ALLOWED messages visible in the
    /var/log/syslog. (LP: #1999190)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Wed, 04 Oct 2023 16:58:26 +0200

sssd (2.9.1-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028722). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 26 Jul 2023 16:04:29 -0400

sssd (2.9.1-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Enable files provider.
    SSSD 2.9.0 has deprecated "id_provider = files", but that's still
    needed for smartcard authentication of local users.
    - d/rules: Build with "--with-files-provider".
    - d/sssd-common.install: Install libsss_files.so and sssd-files.5.
    (Closes: #1041438) (LP: #2028084)
  * d/rules: Remove deprecated options "--disable-files-domain".

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 25 Jul 2023 15:01:14 +0300

sssd (2.9.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018112). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
  * Drop change:
    - d/rules: Fix 'find' syntax to remove '*.egg-info'
      files/directories.
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 11 Jul 2023 14:48:14 -0400

sssd (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * libnss-sss.postinst: Migrate to use 'case' like the other postinsts.
  * patches: Drop an upstreamed patch.
  * Drop deprecated simple-ifp library and files provider.
  * control, rules: Add sssd-passkey, and libfido2-dev to build-depends.
  * ci: Allow piuparts to fail, because handling of nsswitch.conf ownership
    is broken.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jul 2023 08:48:49 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-sss`.
